Bug 14729 - "xterm -name MyName" is over written under RH6.2, not RH6.1
Summary: "xterm -name MyName" is over written under RH6.2, not RH6.1
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xterm-color   
(Show other bugs)
Version: 6.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-27 14:05 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-13 19:41:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-07-27 14:05:16 UTC
When using ...

[mak@host]$ xterm -version 
XFree86 3.3.3.1b(88b)

and issuing the command "xterm -name AnyName" the resulting xterm title bar
will momentarily show the desired name only to be overwritten with
"mak@host:/home/mak".  This problem started with RH6.2.  Under RH6.1 using
the same version of xterm, the xterm command operates as expected.

Comment 1 Vlado Potisk 2000-08-13 19:41:18 UTC
I had similar or maybe the same problem. Inside /etc/bashrc
there is an escape sequence sent to xterm causing it to change
its name. Try to comment out that line, it helped in my case.


Comment 2 Preston Brown 2000-08-30 20:13:32 UTC
yes, we consider this a feature rather than a bug.  If you comment the following
lines of /etc/bashrc:

case $TERM in
        xterm*)
            PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
            ;;
        *)
            ;;
    esac

You will have your old behaviour back.


Note You need to log in before you can comment on or make changes to this bug.